Accounts APIAccounts
Get account details
GET
BearerAuthheader
AuthorizationBearer <token>accountId*stringUnique identifier of the account.
Format
uuidX-Volt-Api-Version*1Version of the API used. Currently, version 1 is the only version.
Value in
1Successful account details response.
application/json- response
id?stringId of Account.
Format
uuidcurrency?CurrencyCodeThree-letter ISO 4217 currency code.
Match
^[A-Z]{3}$identifications?array<|>A list of one or more account identifiers.
Items
1 <= itemsname?stringUser-defined account alias.
active?booleanBoolean flag indicating if the account is currently enabled for processing transactions.
status?AccountStatusEnumThe current status of the account.
Value in
"ACTIVE""SUSPENDED""CLOSED"country?CountryCodeAlpha-2 country code
Match
^[A-Z]{2}$balance?The account balance in minor units.
type?AccountTypeValue in
"VOLT_ACCOUNT""NAMED_ACCOUNT""CONNECTED_ACCOUNT"subType?AccountSubTypeValue in
"BUSINESS""INDIVIDUAL"accountHolder?_links?curl -X GET "https://example.com/accounts/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "X-Volt-Api-Version: 1"{ "id": "7523a8d3-70a9-4448-822a-ba1a38e0b715", "currency": "EUR", "identifications": [ { "iban": "DE33500105173822933531", "bic": "ALBPPLPW" } ], "name": "My EUR account", "active": true, "country": "DK", "balance": { "available": 123, "timestamp": "2023-10-16T16:52:37+00:00" }, "type": "VOLT_ACCOUNT"}